com.hazelcast.config

## Enum NearCacheConfig.LocalUpdatePolicy

- java.lang.Object
- - java.lang.Enum<NearCacheConfig.LocalUpdatePolicy>
  - - com.hazelcast.config.NearCacheConfig.LocalUpdatePolicy

- All Implemented Interfaces:
    Serializable, Comparable<NearCacheConfig.LocalUpdatePolicy>
  Enclosing class:
    NearCacheConfig

      public static enum NearCacheConfig.LocalUpdatePolicy
      extends Enum<NearCacheConfig.LocalUpdatePolicy>

  Defines how to reflect local updates to the Near Cache.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CACHE` Deprecated. since 3.8, please use `CACHE_ON_UPDATE`
    `CACHE_ON_UPDATE` A local put immediately adds the new value to the Near Cache.
    `INVALIDATE` A local put and local remove immediately invalidates the Near Cache.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NearCacheConfig.LocalUpdatePolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NearCacheConfig.LocalUpdatePolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVALIDATE

          public static final NearCacheConfig.LocalUpdatePolicy INVALIDATE

      A local put and local remove immediately invalidates the Near Cache.

    - #### CACHE_ON_UPDATE

          public static final NearCacheConfig.LocalUpdatePolicy CACHE_ON_UPDATE

      A local put immediately adds the new value to the Near Cache. A local remove works as in INVALIDATE mode.

    - #### CACHE

          @Deprecated
          public static final NearCacheConfig.LocalUpdatePolicy CACHE

      Deprecated. since 3.8, please use `CACHE_ON_UPDATE`
      A local put immediately adds the new value to the Near Cache. A local remove works as in INVALIDATE mode.

  - ### Method Detail

    - #### values

          public static NearCacheConfig.LocalUpdatePolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NearCacheConfig.LocalUpdatePolicy c : NearCacheConfig.LocalUpdatePolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NearCacheConfig.LocalUpdatePolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019. All rights reserved.